export type Parameter = {
  [param: string]: string | string[];
} | null;

export class ParameterUtil {
  public static encode(parameterMap: {}, param: {}): Parameter {
    const parameter: Parameter = {};

    Object.keys(parameterMap).map(key => {
      if (!param.hasOwnProperty(key)) {
        return;
      }
      if (!!param[key]) {
        parameter[parameterMap[key]] = param[key];
      }
    });

    return 0 === Object.keys(parameter).length ? null : parameter;
  }
}
